
%global meadversion 3.2.12
%global namedversion 3.2.12.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%bcond_without mead
%bcond_with javadoc

%define maven_version 3.2.12.Final-redhat-1

Name:           jgroups
Summary:	Reliable cluster communication toolkit
Version:	%{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: jgroups-3.2.12.Final-redhat-1-scm-sources.zip
Source101: jgroups-3.2.12.Final-redhat-1-patches.zip
Source102: jgroups-3.2.12.Final-redhat-1.pom
Source103: jgroups-3.2.12.Final-redhat-1-javadoc.jar
Source104: jgroups-3.2.12.Final-redhat-1-sources.jar
Source105: jgroups-3.2.12.Final-redhat-1.jar
%endif

License:        LGPLv2+
URL:            git://git.app.eng.bos.redhat.com/JGroups.git
Epoch:          1

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

BuildRequires:    jpackage-utils
Requires:         jpackage-utils

%description
Reliable cluster communication toolkit

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation


%description javadoc
Javadoc for JGroup
%endif

%prep

%build

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#poms
%add_to_maven_depmap org.jgroups jgroups %{namedversion} JPP jgroups
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%files
%defattr(0644,root,root,0755)
%if %without mead
%doc LICENSE, README
%endif
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{namedversion}
%endif

%changelog
* Thu Sep 03 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1:3.2.12-1.Final_redhat_1
- Upgrade to 3.2.12.Final

* Fri Aug 09 2013 Hui Wang <huwang@redhat.com> - 3.2.7-2.Final_redhat_1.2
- Upgrade to 3.2.10.Final

* Sun Feb 17 2013 Yong Yang <yyang@redhat.com> - 1:3.2.7-1.Final_redhat_1
- Upgrade to 3.2.7.Final

* Tue Feb 05 2013 Yong Yang <yyang@redhat.com> - 1:3.2.6-1.Final_redhat_1
- Upgrade to 3.2.6.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1:3.0.14-2.Final_redhat_1
- Rebuild for MD5

* Fri Sep 14 2012 Yong Yang <yyang@redhat.com> - 1:3.0.14-1.Final_redhat_1
- Upgrade to 3.0.14.Final

* Thu Aug 23 2012 Yong Yang <yyang@redhat.com> - 1:3.0.11-1.Final_redhat_1
- Upgrade to 3.0.11 for EAP 6.0.1

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1:3.0.9-1.Final_redhat_2.5
- Update poms for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 1:3.0.9-1.Final_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1:3.0.9-1.Final_redhat_2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1:3.0.9-1.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1:3.0.9-1.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 04 2012 Hui Wang <huwang@redhat.com> - 3.0.9-1.Final_redhat_1
- Upgrade to 3.0.9.Final

* Wed May 02 2012 Fernando Nasser <fnasser@redhat.com> - 3.0.6-2.Final_redhat_1
- Raise Epoch to match EAP 5

* Mon Mar 19 2012 Hui Wang <huwang@redhat.com> - 3.0.6_1.Final_redhat_1.2
- Fix javadoc subpackage

* Fri Mar 16 2012 Hui Wang <huwang@redhat.com> - 3.0.6_1.Final_redhat_1.1
- New wrapper
- Fix installing path
- Fix release tag

* Mon Mar 05 2012 Fernando Nasser <fnasser@redhat.com> - 3.0.6.Final_redhat_1.1
- Upgrade to 3.0.6.Final

* Thu Feb 23 2012 Weinan Li <weli@redhat.com> - 3.0.4.Final_redhat_1.1
- Upgrade to 3.0.4.Final
- Migrate to wrapper build 
